<?php
	//~ var_dump($_POST);exit;
	$user = $_SERVER['REMOTE_ADDR'];
	if(isset($_SERVER['PHP_AUTH_USER'])) {
		$user = $_SERVER['PHP_AUTH_USER'];
	}
	$h_title = "Editieren der Gutschein-Kampagne No $id";
	$logMsg = "$user: $h_title";
	$template = $table . '/edit.tpl';
	$h_tgt = '/' . $node . '/' . $table . '/list';
	$h_code = 303;
	$qBuff = array();
	$overgive = array();

	$campaign_title = '';
	$campaign_comment = '';
	$campaign_mail = '';
	$campaign_start = '';
	$campaign_stop = '';
	$campaign_codes = '';
	$campaign_clients = '';

	if(isset($_POST['submit'])) {
		$template = 'fail.tpl';
		$h_title = "Beim Editieren von Kampagne $id verkackt.";
		$logMsg = "$user: $h_title";
		$status = 0;

		$campaign_name = cleanVar('name','text');
		$campaign_comment = cleanVar('comment','text');
		$campaign_mail = cleanVar('mail','uid');
		$campaign_start = cleanVar('start','tstamp');
		$campaign_stop = cleanVar('stop','tstamp');
		$campaign_codes = explode(',',cleanVar('codes','codes'));
		$campaign_clients = explode(',',cleanVar('clients','uids'));

		if (
		(count($campaign_name) > 0)
		&& (strlen($campaign_comment) > 0)
		&& (strlen($campaign_mail) > 0)
		&& (strlen($campaign_start) > 0)
		&& (strlen($campaign_stop) > 0)
		&& (count($campaign_codes) > 0)
		&& (strlen($campaign_clients) > 0)
		) {
			$qBuff[] = "
-- update all campaign data first
UPDATE
	campaigns
SET
	title = ?,
	comment = ?,
	mail = ?,
	start = ?,
	stop = ?
WHERE
	id = ?;
";
			$overgive[] = $campaign_name;
			$overgive[] = $campaign_comment;
			$overgive[] = $campaign_mail;
			$overgive[] = $campaign_start;
			$overgive[] = $campaign_stop;
			$overgive[] = $id;
		}

		// set codes.campaigns back
		$qBuff[] = "";
		$qBuff[] = "-- Kampagne aus n:m-Tabelle löschen";
		$qBuff[] = "DELETE FROM codes_campaigns WHERE campaign = ?;";
		$overgive[] = $id;

		foreach($campaign_codes as $code) {
			$qBuff[] = "";
			$qBuff[] = "-- Link in n:m-Tabelle setzen";
			$qBuff[] = "INSERT INTO codes_campaigns (code,campaign) VALUES (?, ?);";
			$overgive[] = $code;
			$overgive[] = $id;
		}
	
		$qBuff[] = "";
		$qBuff[] = "-- Kunden zuletzt";
		$once = 0;

		// set campaigns back
		$qBuff[] = "";
		$qBuff[] = "-- purge this campaign from connection table";
		$qBuff[] = "DELETE FROM clients_campaigns WHERE campaign = ?;";
		$overgive[] = $id;
			
		foreach($campaign_clients as $client) {
			$qBuff[] = "";
			$qBuff[] = "-- set link in conn table";
			$qBuff[] = "INSERT INTO clients_campaigns (client,campaign) VALUES (?, ?);";
			$overgive[] = $client;
			$overgive[] = $client;
			$overgive[] = $id;
		}
	}
	
	if(count($qBuff)) {
		$query = implode(chr(10),$qBuff);
		var_dump($query); exit;
		$stmt = daba::prepare($query);

		if($stmt->execute($overgive)) {
			$status = 1;
			$template = 'success.tpl';
			$logMsg = "$user editiert erfolgreich Kampagne $id.";
			$h_title = "Editieren erfolgreich bei Kampagne $id!";
			$status = 1;
		}

		$stmt = daba::prepare("INSERT INTO log (status,event,ip) VALUES (?, ?, ?);");
		$stmt->execute(array($status,$logMsg,$user));
		$stmt = null;
			
		$smarty->assign('table',$table);
		$smarty->assign('do',$do);
		$smarty->assign('subtmpl',$template);
		$smarty->assign('page_title',$h_title);
		$smarty->display('index.tpl');

		header('Refresh:' . $delay . ' url=' . $h_tgt,true,$h_code);
		exit;
	}

	// fetch campaigns w/id
	$campaigns = daba::prepare("
SELECT
	UNIX_TIMESTAMP(campaigns.crdate) as crdate,
	UNIX_TIMESTAMP(campaigns.tstamp) as tstamp,
	campaigns.id,
	campaigns.title,
	campaigns.sent,
	campaigns.comment,
	campaigns.mail,
	(SELECT
		GROUP_CONCAT(clients.id SEPARATOR ',')
	FROM
		clients
	LEFT JOIN
		clients_campaigns
			ON
				clients_campaigns.client = clients.id
	WHERE
		clients_campaigns.campaign = $id
	ORDER by
		clients_campaigns.client DESC
	) AS clients,
	(SELECT
		GROUP_CONCAT(codes.code SEPARATOR ',')
	FROM
		codes
	LEFT JOIN
		codes_campaigns
			ON
				codes_campaigns.code = codes.code
	WHERE
		codes_campaigns.campaign = $id
	ORDER by
		codes_campaigns.campaign DESC
	) AS codes,
	UNIX_TIMESTAMP(campaigns.start) as start,
	UNIX_TIMESTAMP(campaigns.stop) as stop
FROM
	campaigns
WHERE
	campaigns.id = $id
	AND
		campaigns.active = 1
	AND
		campaigns.deleted = 0
GROUP BY
	campaigns.id
ORDER BY
	campaigns.id DESC;

");

	$campaigns->execute();	
	$campaigns->setFetchMode(PDO::FETCH_LAZY);

	// fetch codes w/code
	$codes = daba::prepare("
SELECT
	codes.code,
	(SELECT count(*) FROM codes_campaigns WHERE codes_campaigns.code = codes.code) AS cacount,
	(SELECT count(*) FROM codes_campaigns WHERE codes_campaigns.code = codes.code) AS clcount
FROM
	codes
WHERE
	codes.deleted = 0
ORDER BY
	cacount DESC,
	clcount DESC,
	codes.code;

");
	$codes->execute();	
	$codes->setFetchMode(PDO::FETCH_LAZY);

  // assign to smarty
  $smarty->assign('codes',$codes);

	// fetch clients
	$clients = daba::prepare("
SELECT
	clients.id,
	clients_sexes.title,
	clients.name,
	clients.email,
	(SELECT count(*) FROM clients_campaigns WHERE clients_campaigns.client = clients.id) AS kcount,
	(SELECT count(*) FROM codes_campaigns LEFT JOIN clients_campaigns ON clients_campaigns.campaign = codes_campaigns.campaign WHERE clients_campaigns.client = clients.id) AS ccount
FROM
	clients
LEFT JOIN
	clients_sexes
		ON
			clients_sexes.id = clients.sex
WHERE
	clients.deleted = 0
ORDER BY
	clients.name;

");
	$clients->execute();	
	$clients->setFetchMode(PDO::FETCH_LAZY);

	// fetch mails w/id
	$mails = daba::prepare("
SELECT
	id,
	title,
	text,
	(SELECT count(*) FROM campaigns WHERE mail = mails.id) AS count,
	UNIX_TIMESTAMP(crdate) as crdate
FROM
	mails
WHERE
	deleted = 0
ORDER BY
	id DESC;

");
	$mails->execute();	
	$mails->setFetchMode(PDO::FETCH_LAZY);

  // assign to smarty 
  $smarty->assign('clients',$clients);
  $smarty->assign('campaigns',$campaigns);
  $smarty->assign('mails',$mails);

  $smarty->assign('tgt',$h_tgt);
	$smarty->assign('page_title',$h_title);
	$smarty->assign('table',$table);
	$smarty->assign('do',$do);

	$smarty->assign('subtmpl',$template);
	$smarty->display('index.tpl');
	exit;
?>
