<?php
	$user = $_SERVER['REMOTE_ADDR'];
	if(isset($_SERVER['PHP_AUTH_USER'])) {
		$user = $_SERVER['PHP_AUTH_USER'];
	}
	$h_title = 'Bearbeiten von Betroffener &raquo;' . $id . '&laquo;.';
	$logMsg = "$user: $h_title";
	$template = $table . '/edit.tpl';
	$h_tgt = '/' . $node . '/' . $table . '/list';
	$h_code = 303;
	$status = 0;

	if(isset($_POST['submit'])) {
		$template = 'fail.tpl';
		$name = cleanVar('name','text');
		$email = cleanVar('email','email');
		$sex = cleanVar('sex','uid');
		$campaigns = cleanVar('campaigns','uids');
		$campaigns = explode(',',$campaigns);
		$h_title = 'Bearbeiten von Betroffener &raquo;' . $id . '&laquo; schlägt fehl.';
		$logMsg = "$user verkackt beim Editieren von Betroffenen $id";

		//~ var_dump($_POST); exit;

		if (
			 (strlen($sex) > 0)
		&& (strlen($name) > 0)
		&& (strlen($email) > 0)
		) {
			$qBuff = array("-- purge clients from connection table",);
			$qBuff[] = "DELETE FROM clients_campaigns WHERE client = ?;";
			$overgive = array($id);

			foreach($campaigns as $c) {
				switch($c) {
					case '':
					case 0:
						break 2;
					break;

					default:
						$qBuff[] = "";
						$qBuff[] = "-- set campaigns for clients in conn table";
						$qBuff[] = "INSERT INTO clients_campaigns (client,campaign) VALUES (?, ?);";
						$overgive[] = $id;
						$overgive[] = $c;
					break;
				}
			}

			$query = implode(chr(10),$qBuff);
			//~ var_dump($query); var_dump($overgive); exit;
			$stmt = daba::prepare($query);
			if($stmt->execute($overgive)) {
				$template = 'success.tpl';
				$h_title = 'Bearbeiten von Betroffener &raquo;' . $id . '&laquo; war erfolgreich.';
				$logMsg = "$user: $h_title";
				$status = 1;
			}
		}

		$stmt = daba::prepare("INSERT INTO log (status,event,ip) VALUES (?, ?, ?);");
		$stmt->execute(array($status,$logMsg,$user));
		$stmt = null;
		
		$smarty->assign('table',$table);
		$smarty->assign('do',$do);
		$smarty->assign('subtmpl',$template);
		$smarty->display('index.tpl');

		header('Refresh:' . $delay . ' url=' . $h_tgt,true,$h_code);
		exit;
	}

	// fetch Betroffene w/id
	$stmt = daba::prepare("

SELECT
	clients.id,
	clients.sex,
	clients.email,
	clients_sexes.title,
	clients.name,
	UNIX_TIMESTAMP(clients.crdate) AS crdate,
	UNIX_TIMESTAMP(clients.tstamp) AS tstamp,
	(SELECT
		GROUP_CONCAT(campaigns.id SEPARATOR ',')
	FROM
		campaigns
	LEFT JOIN
		clients_campaigns
			ON
				clients_campaigns.campaign = campaigns.id
	WHERE
		clients_campaigns.client = clients.id
	ORDER BY
		clients_campaigns.client DESC
	) AS ids
FROM
	clients
		LEFT JOIN
			clients_sexes
				ON
					clients_sexes.id = clients.sex
WHERE
	clients.id = $id
		AND
			clients.deleted = 0
GROUP BY
	clients.id
ORDER BY
	clients.tstamp DESC
;

");
	$stmt->execute();	
	$stmt->setFetchMode(PDO::FETCH_LAZY);

  // assign to smarty 
  $smarty->assign('clients',$stmt);

  $clients_sexes = daba::prepare("SELECT id,title FROM clients_sexes");
	$clients_sexes->execute();	
	$stmt->setFetchMode(PDO::FETCH_LAZY);
  $smarty->assign('clients_sexes',$clients_sexes);

	// fetch all campaigns for select
	$campaigns = daba::prepare("
SELECT
	campaigns.id,
	campaigns.title,
	campaigns.comment
FROM
	campaigns
WHERE
	campaigns.active = 1
		AND
			campaigns.deleted = 0
ORDER BY
	campaigns.id DESC;
");
	$campaigns->execute();	
	$campaigns->setFetchMode(PDO::FETCH_LAZY);
	$smarty->assign('campaigns',$campaigns);

  // assign rest to smarty 
  $smarty->assign('tgt',$h_tgt);
	$smarty->assign('page_title',$h_title);

	$smarty->assign('subtmpl',$template);
	$smarty->display('index.tpl');

	exit;
?>
