<?php
	$user = $_SERVER['REMOTE_ADDR'];
	if(isset($_SERVER['PHP_AUTH_USER'])) {
		$user = $_SERVER['PHP_AUTH_USER'];
	}
	$template = $table . '/edit.tpl';
	$h_tgt = '/' . $node . '/' . $table . '/list';
	$h_code = 303;
	$h_title = "Editieren von Code $id";
	$logMsg = "$user: $h_title";
	$status = 1;
	$sids = array();

	if(isset($_POST['submit'])) {
		$template = 'fail.tpl';
		$link = cleanVar('link','url');
		$link = !preg_match('/^http/',$link) ? 'http://' . $link : $link;
		$campaigns = cleanVar('campaigns','uids');
		$campaigns = explode(',',$campaigns);
		$h_title = "Fehler beim Editieren von Code $id";
		$logMsg = "$user: $h_title";

		if (
			 (strlen($id) > 0)
		&& (strlen($link) > 0)
		&& (count($campaigns) > 0)
		) {
			
			$qBuff = array();
			$qBuff[] = "-- aus n:m-Tabelle rauswerfen";
			$qBuff[] = "DELETE FROM codes_campaigns WHERE code = ?;";
			$qBuff[] = "";
			$qBuff[] = "-- Code updaten";
			$qBuff[] = "UPDATE codes SET link = ? WHERE code = ?;";
			$overgive = array($id,$link,$id);

			foreach($campaigns as $c) {
				switch($c) {
					case '':
					case 0:
						break 2;
					break;

					default:
						$qBuff[] = "";
						$qBuff[] = "-- in n:m-Tabelle reinwerfen";
						$qBuff[] = "INSERT INTO codes_campaigns (code,campaign) VALUES (?, ?);";
						$overgive[] = $id;
						$overgive[] = $c;
					break;
				}
			}

			$query = implode(chr(10),$qBuff);
			//~ var_dump($query); exit;
			$stmt = daba::prepare($query);
			if($stmt->execute($overgive)) {
				$template = 'success.tpl';
				$h_title = "Editieren erfolgreich am Code $id!";
				$logMsg = "${user}s $h_title";
				$status = 1;
			}
		}

		$stmt = daba::prepare("INSERT INTO log (status,event,ip) VALUES (?, ?, ?);");
		$stmt->execute(array($status,$logMsg,$user));
		$stmt = null;
		
		// assign to smarty 
		$smarty->assign('subtmpl',$template);
		$smarty->assign('query',implode(chr(10),$query));
		$smarty->display('index.tpl');

		header('Refresh:' . $delay . ' url=' . $h_tgt,true,$h_code);
		exit;
	}

	// fetch campaigns for this w/ids
	$codes = daba::query("
SELECT
	codes.code,
	codes.link,
	UNIX_TIMESTAMP(codes.crdate) AS crdate,
	UNIX_TIMESTAMP(codes.tstamp) AS tstamp,
	(
		SELECT
			GROUP_CONCAT(codes_campaigns.campaign SEPARATOR ',')
		FROM
			codes_campaigns
		WHERE
			codes_campaigns.code = '$id'
	) AS ids
FROM
	codes
WHERE
	codes.code = '$id'
		AND
			codes.deleted = 0
		AND
			codes.active = 1
ORDER BY
	codes.tstamp DESC
;

");
	$codes->execute();	
	$codes->setFetchMode(PDO::FETCH_LAZY);
  $smarty->assign('codes',$codes);

	// fetch all campaigns for select
	$campaigns = daba::prepare("
SELECT
	campaigns.id,
	campaigns.title,
	campaigns.comment,
	campaigns.start,
	campaigns.stop
FROM
	campaigns
LEFT JOIN
	codes_campaigns
		ON
			codes_campaigns.campaign = campaigns.id
WHERE
	campaigns.active = 1
		AND
			campaigns.deleted = 0
GROUP BY
	campaigns.id
ORDER BY
	campaigns.id DESC;

");
	$campaigns->execute();	
	$campaigns->setFetchMode(PDO::FETCH_LAZY);
	$smarty->assign('campaigns',$campaigns);

  // assign to smarty 
  $smarty->assign('tgt',$h_tgt);
	$smarty->assign('page_title',$h_title);
	$smarty->assign('table',$table);
	$smarty->assign('do',$do);

	$smarty->assign('subtmpl',$template);
	$smarty->display('index.tpl');

	exit;
?>
