<?php
	$user = $_SERVER['REMOTE_ADDR'];
	if(isset($_SERVER['PHP_AUTH_USER'])) {
		$user = $_SERVER['PHP_AUTH_USER'];
	}
	$template = $table . '/add.tpl';
	$h_tgt = strlen($id) > 0 ? '/' . $node . '/mails/edit/' . $id : '/' . $node . '/' . $table . '/list';
	$h_code = 303;
	$h_title = "Hinzufügen eines neuen E-Mail-Bausteins";
	$logMsg = "$user: $h_title";
	$status = 0;

	$mailpart_title = '';
	$mailpart_text = '';
	$mailpart_folge = '';

	if(isset($_POST['submit'])) {
		$template = 'fail.tpl';
		$mailpart_text = cleanVar('text','text');
		$mailpart_title = cleanVar('title','text');
		$mailpart_folge = cleanVar('folge','uid');
		$h_title = "Hinzufügen eines neuen E-Mail-Bausteins schlug fehl";
		$logMsg = "$user: $h_title";
		if (
			 (strlen($mailpart_title) > 0)
		&& (strlen($mailpart_text) > 0)
		&& (strlen($mailpart_folge) > 0)
		) {
			$stmt = daba::prepare("INSERT INTO $table (title,text,folge) VALUES (?, ?, ?);");
			if($stmt->execute(array($mailpart_title,$mailpart_text,$mailpart_folge))) {
				$template = 'success.tpl';
				$h_title = ucfirst($do) . "ieren des E-Mail-Baustein &laquo;$id&raquo; war erfolgreich";
				$logMsg = "$user: $h_title";
				$status = 1;
			}
		}

		$stmt = daba::prepare("INSERT INTO log (status,event,ip) VALUES (?, ?, ?);");
		$stmt->execute(array($status,$logMsg,$user));
		$stmt = null;
		
		// assign to smarty 
		$smarty->assign('table',$table);
		$smarty->assign('do',$do);
		$smarty->assign('subtmpl',$template);
		$smarty->display('index.tpl');

		header('Refresh:' . $delay . ' url=' . $h_tgt,true,$h_code);
		exit;
	}

	$folgen = daba::prepare("SELECT id,title,position FROM mailparts_folgen");
	$folgen->execute();	
	$folgen->setFetchMode(PDO::FETCH_LAZY);

  // assign to smarty 
  $smarty->assign('tgt',$h_tgt);
  $smarty->assign('table',$table);
  $smarty->assign('do',$natur_do);
	$smarty->assign('page_title',$h_title);

	$smarty->assign('folgen',$folgen);

	$smarty->assign('subtmpl',$template);
	$smarty->display('index.tpl');

	exit;
?>
