<?php
	$user = $_SERVER['REMOTE_ADDR'];
	if(isset($_SERVER['PHP_AUTH_USER'])) {
		$user = $_SERVER['PHP_AUTH_USER'];
	}
	$template = $table . '/edit.tpl';
	$h_tgt = '/' . $node . '/' . $table . '/list';
	$h_code = 303;
	$h_title = $do . "ieren des E-Mail-Baustein &laquo;$id&raquo;";
	$logMsg = "$user: $h_title";
	$status = 0;
	$id = strlen($id) ? $id : '';

	$mailpart_title = '';
	$mailpart_text = '';
	$mailpart_type = '';
	$mailpart_cat = '';

	if(isset($_POST['submit'])) {
		$template = 'fail.tpl';
		$mailpart_text = cleanVar('text','text');
		$mailpart_title = cleanVar('title','text');
		$mailpart_folge = cleanVar('folge','uid');
		$mailpart_cat = cleanVar('cat','uid');
		$h_title = ucfirst($do) . "ieren des E-Mail-Baustein &laquo;$id&raquo; schlug fehl";
		$logMsg = "$user: $h_title";
		$qBuff = array();
		$overgive = array();

		if (
			 (strlen($mailpart_folge) > 0)
		&& (strlen($mailpart_title) > 0)
		&& (strlen($mailpart_text) > 0)
		&& (strlen($mailpart_cat) > 0)
		) {
			
			$qBuff[] = "-- edit stmt";
			$qBuff[] = "UPDATE $table SET title = ?, text = ?, folge = ?, cat = ? WHERE id = ?;";
			$overgive = array($mailpart_title,$mailpart_text,$mailpart_folge,$mailpart_cat,$id);

			# kein GROUP BY!!
			$qBuff[] = "";
			$qBuff[] = "-- update all mails carrying this piece";
			$qBuff[] = "UPDATE
	mails
SET
	text = (
		SELECT DISTINCT
			GROUP_CONCAT(text ORDER BY mailparts_folgen.position SEPARATOR '\n')
		FROM
			mailparts
		RIGHT JOIN
			mailparts_mails
		ON
			mailparts_mails.mailpart = mailparts.id
		LEFT JOIN
			mailparts_folgen
		ON
			mailparts_folgen.id = mailparts.folge
		WHERE
			mailparts_mails.mail = mails.id
	)
WHERE
	id in (SELECT GROUP_CONCAT(mail SEPARATOR ',') FROM mailparts_mails WHERE mailpart = ?)
;";
			$overgive[] = $id;

			$query = implode(chr(10),$qBuff);
			//~ var_dump($query); exit;
			//~ var_dump($overgive); exit;

			$stmt = daba::prepare($query);
			if($stmt->execute($overgive)) {
				$template = 'success.tpl';
				$h_title = ucfirst($do) . "ieren des E-Mail-Baustein &laquo;$id&raquo; war erfolgreich";
				$logMsg = "$user: $h_title";
				$status = 1;
			}
		}

		$stmt = daba::prepare("INSERT INTO log (status,event,ip) VALUES (?, ?, ?);");
		$stmt->execute(array($status,$logMsg,$user));
		$stmt = null;
		
		// assign to smarty 
		$smarty->assign('table',$table);
		$smarty->assign('do',$do);
		$smarty->assign('subtmpl',$template);
		$smarty->display('index.tpl');

		header('Refresh:' . $delay . ' url=' . $h_tgt,true,$h_code);
		exit;
	}

	$folgen = daba::query("SELECT id,title,position FROM mailparts_folgen");
	$folgen->execute();	
	$folgen->setFetchMode(PDO::FETCH_LAZY);

	$cats = daba::query("SELECT id,title FROM mailparts_categories");
	$cats->execute();	
	$cats->setFetchMode(PDO::FETCH_LAZY);

	$mailparts = daba::prepare("
SELECT
	id,
	UNIX_TIMESTAMP(crdate) as crdate,
	UNIX_TIMESTAMP(tstamp) as tstamp,
	title,
	folge,
	cat,
	text
FROM
	$table
WHERE
	deleted = 0
		AND
			id = $id
ORDER BY
	folge ASC,
	title ASC;
");
	$mailparts->execute($query);
	$mailparts->setFetchMode(PDO::FETCH_LAZY);

  // assign to smarty 
  $smarty->assign('tgt',$h_tgt);
  $smarty->assign('table',$table);
  $smarty->assign('do',$natur_do);
	$smarty->assign('page_title',$h_title);
	$smarty->assign('id',$id);

	$smarty->assign('mailparts',$mailparts);
	$smarty->assign('folgen',$folgen);
	$smarty->assign('cats',$cats);

	$smarty->assign('subtmpl',$template);
	$smarty->display('index.tpl');

	exit;
?>
