<?php
	$user = $_SERVER['REMOTE_ADDR'];
	if(isset($_SERVER['PHP_AUTH_USER'])) {
		$user = $_SERVER['PHP_AUTH_USER'];
	}
	$template = $table . '/' . $do . '.tpl';
	$h_tgt = '/' . $node . '/' . $table . '/list';
	$h_code = 303;
	$h_title = "Editieren der E-Mail-Vorlage &laquo;$id&raquo;";
	$logMsg = "$user: $h_title";
	$status = 0;
	$id = strlen($id) ? $id : '';

	if(isset($_POST['submit'])) {
		$template = 'fail.tpl';
		$mail_title = cleanVar('title','text');
		$mail_text = cleanVar('text','text');
		$mail_subj = cleanVar('subj','text');
		$mail_mailparts = cleanVar('mailparts','uid');
		$mail_parts_ids = cleanVar('mail_parts','uids');
		//~ var_dump($mail_parts_ids); exit;
		$h_title = "Editieren der E-Mail-Vorlage &laquo;$id&raquo; schlug fehl";
		$logMsg = "$user: $h_title";
		$qBuff = array();
		$overgive = array();

		if (
			 (strlen($mail_title) > 0)
		&& (strlen($mail_subj) > 0)
		&& (strlen($mail_mailparts) > 0)
		) {
			$qBuff[] = "";
			$qBuff[] = "-- mailparts_mail toggles";
			$qBuff[] = "DELETE FROM mailparts_mails WHERE mail = ?;";
			$overgive[] = $id;

			$qBuff[] = "";
			$qBuff[] = "-- mails edit, do not save text if mailparts > 0";
			if($mail_mailparts > 0) {
				$qBuff[] = "UPDATE $table SET title = ?, subj = ?, mailparts = ? WHERE id = ?;";
				$overgive[] = $mail_title;
				$overgive[] = $mail_subj;
				$overgive[] = $mail_mailparts;
				$overgive[] = $id;

				$qBuff[] = "";
				$qBuff[] = "-- mailparts_mail additional mailparts for mail $id";
				foreach(explode(',',$mail_parts_ids) as $mPart) {
					$qBuff[] = "INSERT INTO mailparts_mails (mailpart,mail) VALUES (?, ?);";
					$overgive[] = $mPart;
					$overgive[] = $id;
				}

				$qBuff[] = "";
				$qBuff[] = "-- mails.text from mailparts for this mail";
				$qBuff[] = "UPDATE
	mails
SET
	text = (
		SELECT DISTINCT
			GROUP_CONCAT(text ORDER BY mailparts_folgen.position SEPARATOR '\n')
		FROM
			mailparts
		RIGHT JOIN
			mailparts_mails
		ON
			mailparts_mails.mailpart = mailparts.id
		LEFT JOIN
			mailparts_folgen
		ON
			mailparts_folgen.id = mailparts.folge
		WHERE
			mailparts_mails.mail = ?
	)
WHERE
	id = ?
;";

			$overgive[] = $id;
			$overgive[] = $id;
			} else {
				$qBuff[] = "UPDATE $table SET title = ?, text = ?, subj = ?, mailparts = ? WHERE id = ?;";
				$overgive[] = $mail_title;
				$overgive[] = $mail_text;
				$overgive[] = $mail_subj;
				$overgive[] = $mail_mailparts;
				$overgive[] = $id;
			}
		}

		$query = implode(chr(10),$qBuff);
		//~ var_dump($query); exit;
		//~ var_dump($overgive); exit;

		$stmt = daba::prepare($query);
		if($stmt->execute($overgive)) {
			$template = 'success.tpl';
			$h_title = ucfirst($do) . "ieren der E-Mail-Vorlage &laquo;$id&raquo; war erfolgreich";
			$logMsg = "$user: $h_title";
			$status = 1;
		}

		$stmt = daba::prepare("INSERT INTO log (status,event,ip) VALUES (?, ?, ?);");
		$stmt->execute(array($status,$logMsg,$user));
		$stmt = null;
		
		// assign to smarty 
		$smarty->assign('table',$table);
		$smarty->assign('do',$do);
		$smarty->assign('subtmpl',$template);
		$smarty->display('index.tpl');

		header('Refresh:' . $delay . ' url=' . $h_tgt,true,$h_code);
		exit;
	}

	$mails = daba::prepare("
SELECT
	id,
	UNIX_TIMESTAMP(crdate) as crdate,
	UNIX_TIMESTAMP(tstamp) as tstamp,
	title,
	subj,
	mailparts,
	(SELECT GROUP_CONCAT(mailpart SEPARATOR ',') FROM mailparts_mails WHERE mail = $id) as mailpart_ids,
	text
FROM
	$table
WHERE
	deleted = 0
	AND
	id = $id;
");
	$mails->execute();	
	$mails->setFetchMode(PDO::FETCH_LAZY);

	$mailparts = daba::prepare("
SELECT
	mailparts.id,
	UNIX_TIMESTAMP(mailparts.crdate) as crdate,
	UNIX_TIMESTAMP(mailparts.tstamp) as tstamp,
	mailparts.title,
	mailparts_folgen.title AS folge_title,
	mailparts_categories.title AS cat_title,
	mailparts.cat,
	mailparts.folge
FROM
	mailparts
		LEFT JOIN
			mailparts_categories
				ON
					mailparts_categories.id = mailparts.cat
		LEFT JOIN
			mailparts_folgen
				ON
					mailparts_folgen.id = mailparts.folge
WHERE
	mailparts.deleted = 0
GROUP BY
	mailparts.id
ORDER BY
	mailparts_folgen.position ASC,
	mailparts.title ASC;
");
	$mailparts->execute();	
	$mailparts->setFetchMode(PDO::FETCH_LAZY);

	$folgen = daba::prepare("SELECT id,title,position FROM mailparts_folgen");
	$folgen->execute();	
	$folgen->setFetchMode(PDO::FETCH_LAZY);

  // assign to smarty 
  $smarty->assign('tgt',$h_tgt);
  $smarty->assign('table',$table);
  $smarty->assign('do',$do);
	$smarty->assign('id',$id);
	$smarty->assign('page_title',$h_title);

	$smarty->assign('mails',$mails);
	$smarty->assign('mailparts',$mailparts);
	$smarty->assign('folgen',$folgen);

	$smarty->assign('subtmpl',$template);
	$smarty->display('index.tpl');

	exit;
?>
