<?php
# ---------------------------------------------------------------------------
# imports
# ---------------------------------------------------------------------------
require('inc/funcs.php');
//~ require('inc/class_session.php');
require('inc/Database.PDO.php');
define('PDO_INI',dirname(__FILE__) . "/cfg/db.ini.php");

//~ define('LOCALE','de_DE.utf8','de_DE','de_DE.UTF-8','de_DE.utf-8','de_DE@euro','Deutsch','deu_deu');
define('LOCALE','de_DE.UTF-8');
setlocale(LC_TIME,LOCALE);

//~ echo setlocale(LC_ALL,0) .'<br>';
//~ echo locale_get_default() .'<br>';
//~ echo strftime('%A');
//~ die();

//~ var_dump($_SERVER);die();

#-----------------------------------------------------------------------------
# Enter Smarty
#-----------------------------------------------------------------------------
//~ require_once('../smarty/smartyProjects/gutcode/setup.php');
//~ $smarty = SmartySingleton::instance();

# the new way
require_once('smarty/cfg/setup.php');

# for pro-ducking
#$smarty->clearAllCache = true;

# for developping
$smarty->compile_check = true;
$smarty->force_compile = true;
//~ $smarty->debugging = true;

// set a separate cache_id for each unique URL
//~ $smarty->setCaching(true);
//~ $cache_id = md5($_SERVER['REQUEST_URI']);

# ---------------------------------------------------------------------------
# Session stuff
# ---------------------------------------------------------------------------
//~ $sess = new Session;
//~ $sess->start();

//~ if (!isset($_SESSION['failGood'])) {
	//~ $sess->set('token',false);
	//~ $sess->set('failGood',3);
//~ }

# ---------------------------------------------------------------------------
# analyze uri
# ---------------------------------------------------------------------------
$path     = dirname(__FILE__);
$uri      = preg_replace('/\?.*$/','',$_SERVER['REQUEST_URI']);               # knock off $args
$segments = explode('/',$uri);

$campaign = '';
$node = 'admin';
$table = 'codes';
$natur_do = 'list';
$do = 'list';
$id = '';

//~ var_dump($segments); exit;
switch (true) {
	//~ case '':
		//~ $node = 'site';
		//~ $table = 'index.html';
		//~ $path .= '/' . $node . '/' . $table;
	//~ break;

	# format: /<campaign>/<code>
	case ((preg_match('/^[0-9]+$/',$segments[1])) && (preg_match('/[0-9a-z]/i',$segments[2]))):
		$clean = cleanVar($segments[1],'page');
		if(strlen($clean)) {
			$campaign = $clean;
			$clean = cleanVar($segments[2],'code');
			if(strlen($clean)) {
				$code = $clean;
			}
		}
	break;
	
	# format: /admin/...
	case $segments[1] == 'admin':
		switch(count($segments)) {
			case 5:	# format: /admin/<table>/<do>/<id>
				$clean = $segments[3] == 'list' ? cleanVar($segments[4],'page') : cleanVar($segments[4],'code');
				if(strlen($clean)) {
					$id = $clean;
				}

			case 4:	# format: /admin/<table>/<do>
				$clean = cleanVar($segments[3],'do');
				if(strlen($clean)) {
					$do = $clean;
				}
			
			case 3:	# format: /admin/<table>
				$clean = cleanVar($segments[2],'tables');
				if(strlen($clean)) {
					$table = $clean;
				} else { # format: doch eher /admin/
					header('Location: ' . '/' . $node . '/' . $table . '/' . $do);
					exit;
				}
			break;

			default:	# format: /admin/
				header('Location: ' . '/' . $node . '/' . $table . '/' . $do);
				exit;
			break;
		}

		//~ echo '/' . $node . '/' . $table . '/' . $do . '.php'; exit;
		$path .= '/' . $node . '/' . $table . '/' . $do . '.php';
	break;

	# format: /<code>
	case preg_match('/[0-9a-z]/i',$segments[1]):
		$clean = cleanVar($segments[1],'code');
		if(strlen($clean)) {
			$code = $clean;
		}
	break;
}

//~ echo "Path: $path"; exit;

# ---------------------------------------------------------------------------
# MAIN
# ---------------------------------------------------------------------------
if ($path != dirname(__FILE__)) {
	if (file_exists($path)) {
		switch(true) {
			case preg_match('/site$/',$path):
			case preg_match('/site\/$/',$path):
				$path .= '/index.html';
			case preg_match('/site/',$path):
				passthru('/bin/cat ' . $path);
				exit;
			break;

			default:
				$smarty->assign('table',$table);
				$smarty->assign('node',$node);
				$smarty->assign('id',$node);

				require($path);
			break;
		}
	}
} else {
	require('jump.php');
}

//~ better_notFound();
show_notFound();
?>
