		<MAIN>
			{foreach $campaigns as $campaign}
			<HEADER>
				<H1>Gutschein-Kampagne &laquo;{$campaign.title}&raquo; bearbeiten</H1>
			</HEADER>

			<P>Sie wollen diese Kampagne bearbeiten, nur zu.</P>

			<FORM name="{$table}-{$do}" method="POST" id="{$table}-{$do}">
				<DL class="id">
					<DT>Kampagnen-ID</DT>
					<DD>{$campaign.id}<DD>
				</DL>

				<DL>
					<DT class="crdate">erstellt</DT>
					<DD class="crdate">{$campaign.crdate|date_format:$smarty.config.dashofo},</DD>
					<DD class="tstamp">geändert {$campaign.tstamp|date_format:$smarty.config.dashofo}</DD>
				</DL>

				<DL>
					<DT><label>Kampagne*</label></DT>
					<DD><input type="text" name="title" value="{$campaign.title}" required></DD>
				</DL>

				<DL>
					<DT><label>E-Mails versandt</label></DT>
					<DD>{$campaign.sent}</DD>
				</DL>

				<DL>
					<DT><label>Kommentar</label></DT>
					<DD><input type="text" name="comment" value="{$campaign.comment}"></DD>
				</DL>

				<DL>
					<DT><label>Beginn*</label></DT>
					<DD><input type="datetime-local" name="start" value="{$campaign.start|date_format:$smarty.config.datifefo}" required></DD>
				</DL>

				<DL>
					<DT><label>Ende*</label></DT>
					<DD><input type="datetime-local" name="stop" value="{$campaign.stop|date_format:$smarty.config.datifefo}" required></DD>
				</DL>

				<DL>
					<DT><label>Anschreiben*</label></DT>
					<DD>
						<select name="mail" required>
							<option value="0">Bitte irgendwas auswählen</option>
							{foreach $mails as $m}
								<option value="{$m.id}"{if $m.id == $campaign.mail} SELECTED{/if}>Vorlage &laquo;{$m.title}&raquo;, taucht in {$m.count} Kampagnen auf</option>
							{/foreach}
						</select>
					</DD>
					<DD><a href="/admin/mails/add" class="button">neues erstellen</a></DD>
				</DL>

				{$ids = ','|explode:$campaign.codes}
				<DL>
					<DT><label>Codes</label></DT>
					<DD class="multi">
						<select name="codes[]" multiple size="10">
							{$once = 0}
							{foreach $codes as $code}
							{if $once == 0}
								{$once = 1}
									{if $campaign.codes == ''}
							<option value="0">Bitte auswählen</option>
									{else}
							<option value="0">Verbindungen löschen</option>
									{/if}
							{/if}
							<option value="{$code.code}"{if $code.code|in_array:$ids} SELECTED{/if}>Code &laquo;{$code.code}&raquo;, taucht in {$code.cacount|default:0} Kampagnen auf, im Einsatz für {$code.clcount|default:0} Betroffene</option>
							{foreachelse}
							<option value="" SELECTED>Keiner zuhause</option>
							{/foreach}
						</select>
					</DD>
					<DD><a href="/admin/codes/add" class="button">neue erstellen</a></DD>
				</DL>

				{$ids = ','|explode:$campaign.clients}
				<DL>
					<DT><label>Clients</label></DT>
					<DD class="multi">
						<select name="clients[]" multiple size="10">
							{$once = 0}
							{foreach $clients as $client}
								{if $once == 0}
									{$once = 1}
									{if $clients|@implode:',' != ''}
							<option value="0">Bitte auswählen</option>
									{else}
							<option value="0">Verbindungen löschen</option>
									{/if}
								{/if}
							<option value="{$client.id}"{if $client.id|in_array:$ids} SELECTED{/if}>Betroffene &laquo;{$client.title} {$client.name}&raquo;, nimmt an {$client.kcount|default:0} Kampagnen teil, sah {$client.ccount|default:0} Codes</option>
							{foreachelse}
							<option value="" SELECTED>Keiner zuhause</option>
							{/foreach}
						</select>
					</DD>
					<DD><a href="/admin/clients/add" class="button">neuen erstellen</a></DD>
				</DL>
				{/foreach}

{include file="navi_submit.tpl"}

			</FORM>
