		<MAIN>
			<HEADER>
				{foreach $mailparts as $mpart}
				<H1>Gutschein-E-Mail-Baustein &laquo;{$mpart.title}&raquo; bearbeiten</H1>
			</HEADER>

			<P>Sie wollen den E-Mail-Baustein bearbeiten, nur zu.</P>
			<P>Füllen Sie bitte <strong>alle</strong> Felder aus.</P>

			<FORM name="{$table}-{$do}" method="POST" id="{$table}-{$do}">
				<DL class="id">
					<DT>Baustein-ID</DT>
					<DD>{$mpart.id}<DD>
				</DL>

				<DL>
					<DT class="crdate">erstellt</DT>
					<DD class="crdate">{$mpart.crdate|date_format:$smarty.config.dashofo},</DD>
					<DD class="tstamp">geändert {$mpart.tstamp|date_format:$smarty.config.dashofo}</DD>
				</DL>

				<DL>
					<DT><label>(interner) Titel*</label></DT>
					<DD>
						<input type="text" name="title" value="{$mpart.title}" placeholder="Titel" required>
					</DD>
				</DL>

				<DL>
					<DT><label>Position*</label></DT>
					<DD>
						<select name="folge" required>
					{foreach $folgen as $folge}
						{if $once == 0}
							{$once = 1}
						<option value="">Bitte auswählen</option>
						{/if}

							<option value="{$folge.id}"{if $mpart.folge == $folge.id} SELECTED{/if}>{$folge.title}</option>
					{foreachelse}
							<option value="" SELECTED>Noch keine Einsatzgebiete definiert</option>
					{/foreach}
						</select>
					</DD>
					<DD><a href="/admin/add_mailparts/folgen/{$id}" class="button">neue erstellen</a></DD>
				</DL>
				{$once = 0}

				<DL>
					<DT><label>Kategorie</label></DT>
					<DD>
						<select name="cat" required>
					{foreach $cats as $cat}
						{if $once == 0}
							{$once = 1}
						<option value="" SELECTED>Bitte auswählen</option>
						{/if}

							<option value="{$cat.id}"{if $mpart.cat == $cat.id} SELECTED{/if}>{$cat.title}</option>
					{foreachelse}
							<option value="" SELECTED>Noch keine Kategorie definiert</option>
					{/foreach}
						</select>
					</DD>
					<DD><a href="/admin/add_mailparts/categories/{$id}" class="button">neue erstellen</a></DD>
				</DL>

				<DL>
					<DT><label>Baustein-Text*</label></DT>
					<DD><textarea name="text" wrap="virtual"  placeholder="Der Baustein" required>{$mpart.text}</textarea></DD>
				</DL>
				{/foreach}

{include file="navi_submit.tpl"}

			</FORM>
