		<MAIN>
			<HEADER>
				{foreach $mails as $mail}
				<H1>Gutschein-E-Mail-Vorlage &laquo;{$mail.title}&raquo; bearbeiten</H1>
			</HEADER>

			<P>Sie wollen die E-Mail-Vorlage bearbeiten, nur zu.</P>
			<P>Füllen Sie bitte <strong>beide</strong> Felder aus.</P>

			<FORM name="{$table}-{$do}" method="POST" id="{$table}-{$do}">
				<DL class="id">
					<DT>Vorlagen-ID</DT>
					<DD>{$mail.id}<DD>
				</DL>

				<DL>
					<DT class="crdate">erstellt</DT>
					<DD class="crdate">{$mail.crdate|date_format:$smarty.config.dashofo},</DD>
					<DD class="tstamp">geändert {$mail.tstamp|date_format:$smarty.config.dashofo}</DD>
				</DL>

				<DL>
					<DT><label>(interner) Titel*</label></DT>
					<DD>
						<input type="text" name="title" value="{$mail.title}" placeholder="Titel" required>
					</DD>
				</DL>

				<DL>
					<DT><label>Betreff*</label></DT>
					<DD>
						<input type="text" name="subj" value="{$mail.subj}" placeholder="Betreff" required>
					</DD>
				</DL>

				<DL>
					<DT><label>Bausteine</label></DT>
					<DD>
						<select name="mailparts" value="{$mail.mailparts}" required>
							<option value="0">Keine Bausteine</option>
							<option value="1"{if $mail.mailparts == 1} SELECTED{/if}>Doch Bausteine</option>
						</select>
					</DD>
				</DL>

				{if $mail.mailparts == 1}
				{$ids = ','|explode:$mail.mailpart_ids}
				<DL>
					<DT><label>Bausteine</label></DT>
					<DD class="multi">
						<select name="mail_parts[]" required multiple size="10">
					{$once = 0}
					{foreach $mailparts as $mpart}
						{if $once == 0}
							{$once = 1}
							{if $mail.mailpart_ids == ''}
							<option value="" SELECTED>Bitte auswählen</option>
							{else}
							<option value="0">Verbindungen löschen</option>
							{/if}
						{/if}
							<option value="{$mpart.id}"{if $mpart.id|in_array:$ids} SELECTED{/if}>{$mpart.cat_title} &ndash; {$mpart.title}</option>
					{foreachelse}
							<option value="" SELECTED>Noch keine Bausteine definiert</option>
					{/foreach}
						</select>
					</DD>
					<DD><a href="/admin/mailparts/add/{$id}" class="button">neuen erstellen</a></DD>
				</DL>

				{/if}

				<DL>
					<DT><label>Anschreiben*</label></DT>
					<DD>
						<textarea name="text" wrap="virtual" placeholder="Das Anschreiben"{if $mail.mailparts < 1} required{else} readonly{/if} >{$mail.text}</textarea>
					</DD>
				</DL>

				{if $mail.mailparts > 0 && $mail.text|strlen > 0}
				<DL class="disclaimer">
					<DT><label>Obacht!</label></DT>
					<DD>
						<p>Sie haben eingestellt, dass der Anschreibentext automatisch generiert werden soll.</p>
						<p>Sie können deshalb den Anschreibentext nicht ändern.</p>
						<p>Wenn Sie die E-Mail-Vorlage selbst schreiben möchten, schalten Sie die Bausteine wieder aus.</p>
					</DD>
				</DL>
				{/if}
				{/foreach}
{include file="navi_submit.tpl"}

			</FORM>
