UPDATE
	mails
SET
	text = (
		SELECT
			GROUP_CONCAT(text SEPARATOR '\n')
		FROM
			mailparts
		WHERE
			id in (
				SELECT
					GROUP_CONCAT(mailpart SEPARATOR ',')
				FROM
					mailparts_mails
				WHERE
					mail = mails.id
			)
		ORDER BY
			mailparts.type ASC,
			mailparts.tstamp ASC
	)
WHERE
	id IN (
		SELECT
			GROUP_CONCAT(mail SEPARATOR ',')
		FROM
			mailparts_mails
		WHERE
			mailpart = $id
		ORDER BY
			mail DESC
	);
