<?php
	$delay = 1;
function better_notFound() {
	header('Location: https://www.google.de/search?q=unicorns+rainbows&tbm=isch',true,404);
	echo "<h1>404 - page not found.</h1>";
	exit;
}
	
function show_notFound() {
	header("HTTP/1.0 404 Not Found",true,404);
	echo "<h1>404 - page not found.</h1>";
	exit;
}

function cleanVar($fN,$mode) {
	$out = '';

  $rX = array(
		'blocked' => '/\'|\"|INSERT|UNION|JOIN|SELECT|CLEAR|DESTROY|DROP|TRUNCATE|COUNT|UPDATE|;|<|\*/i',
		'naughty' => '/[\'\";<]+/',

		'segment' => '/^(add|edit)$/',
		'tables' => '/^(codes|campaigns|clients|mails|mailparts|log|add_mailparts)$/',
		'do' => '/^(list|edit|del|add|categories|folgen)$/',
		'code' => '/^[a-zA-Z0-9]+$/',
		'codes' => '/^[a-zA-Z0-9,]+$/',
		'uid'  => '/^[0-9]{1,12}$/',
		'uids'  => '/^[0-9,]{1,12}$/',
		'offset'  => '/^[0-9]{1,12}$/',
		'page'  => '/^[0-9]{1,12}$/',

		'url'  => '/^(http[s]*:\/\/|)[a-z0-9\/\.@:-]+$/i',
		'text' => '/^[a-zA-Z0-9ÄÖÜäöüß\!.,\(\)#\-\+\*\/: \n\r]*$/',

		'date' => '/^[0-9-]+$/',
		'time' => '/^[0-9:]+$/',
		'tstamp' => '/^[0-9-]{10,10}T[0-9:]+$/',
	);

	switch($mode) {
		case 'offset':
		case 'page':
		case 'do':
		case 'tables':
		case 'code':
		case 'segment':
			if (preg_match($rX[$mode],$fN)) {
				$out = $fN;
			}
		break;

		case 'email':
			if (isset($_POST[$fN])) {
				if (!preg_match($rX['naughty'],$_POST[$fN])) {
					if(filter_var($_POST[$fN], FILTER_VALIDATE_EMAIL)) {
						$out = $_POST[$fN];
					}
				}
			}
		break;

		case 'text':
			if (isset($_POST[$fN])) {
				if (!preg_match($rX['blocked'],$_POST[$fN])) {
					if (!preg_match($rX['naughty'],$_POST[$fN])) {
						if (preg_match($rX[$mode],$_POST[$fN])) {
							$out = $_POST[$fN];
						}
					}
				}
			}
		break;

		case 'id':
			if (isset($_POST[$fN])) {
				if (!preg_match($rX['naughty'],$_POST[$fN])) {
					if (preg_match($rX[$mode],$_POST[$fN])) {
						$out = $_POST[$fN];
					} else {
						$out = '';
					}
				}
			}
		break;

		case 'uids':
		case 'codes':
			if (isset($_POST[$fN])) {
				$val = $_POST[$fN];
				if(is_array($val)) { $val = implode(',',$val); }
				if (!preg_match($rX['naughty'],$val)) {
					if (preg_match($rX[$mode],$val)) {
						$out = $val;
					}
				}
			}
		break;

		case 'uid':
			if (isset($_POST[$fN])) {
				if (!preg_match($rX['naughty'],$_POST[$fN])) {
					if (preg_match($rX[$mode],$_POST[$fN])) {
						$out = $_POST[$fN];
					} else {
						$out = 0;
					}
				}
			}
		break;

		case 'naughty';
			if (isset($_POST[$fN])) {
				if (!preg_match($rX['naughty'],$_POST[$fN])) {
					$out = $_POST[$fN];
				} else {
					$out = '';
				}
			}
		break;

		default;
			if (!preg_match($rX['naughty'],$_POST[$fN])) {
				if (preg_match($rX[$mode],$_POST[$fN])) {
					$out = $_POST[$fN];
				} else {
					$out = '';
				}
			}
		break;
	}
	return $out;
}

function tokenGenerate($user) {
	return hash('sha256',$user . $_SERVER['REMOTE_ADDR']);
}

?>
