<?php
# INIT
define('PRJ','/');
define('PRJ_ROOT','C:/xampp/htdocs/' . PRJ . '/');
define('SMARTY_VER','3.1.32');
define('SMARTY_DIR','C:/xampp/smarty/libs/');

// load Smarty library
require_once(SMARTY_DIR . 'Smarty.class.php');

class SmartySingleton {
	static private $instance;

	private function __construct() {}

	private function __clone() {}

	private function __wakeup() {}

	static public function instance()
	{
		if( !isset( self::$instance ) )
		{
			$smarty = new Smarty;

			$smarty->setTemplateDir( PRJ_ROOT . '/smarty/templates/' );
			$smarty->setCompileDir( PRJ_ROOT . '/smarty/templates_c/' );
			$smarty->setConfigDir( PRJ_ROOT . '/smarty/cfg/' );
			$smarty->setCacheDir( PRJ_ROOT . '/smarty/cache/' );

			$smarty->caching = Smarty::CACHING_LIFETIME_CURRENT;
			$smarty->debugging = false;

			# define( 'CFG_DIR_TEMPLATES', $smarty->getTemplateDir(0) );

			self::$instance = $smarty;
		};
		return self::$instance;
	}

}
